-- License CC0 (Creative Commons license) (c) darkfrei, 2022

function love.load()
	FrameDuration = 0.3
	FrameTimer = 0
	FrameIndex = 1
	Frames = {
		love.graphics.newImage("frame-1.png"),
		love.graphics.newImage("frame-2.png"),
		love.graphics.newImage("frame-3.png"),
		love.graphics.newImage("frame-2.png"),
	}
	FrameEnabled = Frames[FrameIndex]
end

 
function love.update(dt)
	FrameTimer = FrameTimer + dt
	if FrameTimer >= FrameDuration then
		FrameTimer = 0
		FrameIndex = FrameIndex + 1
		if FrameIndex > #Frames then FrameIndex = 1 end
		FrameEnabled = Frames[FrameIndex]
	end
end


function love.draw()
	love.graphics.draw (FrameEnabled)
end

function love.keypressed(key, scancode, isrepeat)
	if false then
	elseif key == "escape" then
		love.event.quit()
	end
end
